Vla-put-minorradius

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-minorradius vla-object radius)


機能
楕円の副軸(短軸)の長さを取得する。


引数
  • vla-object … EllipseのVLA オブジェクト
  • radius … 副軸の長さ(倍精度浮動小数点数型)


戻り値
nil
  • memo. 楕円の長い方の軸を主軸、短い方を副軸と呼ぶ。


サンプル
(vl-load-com)
(defun c:Example_minorradius ()
    ;; 楕円を作成してから主軸と複軸の長さを取得するサンプル
    (setq *actdoc* (vla-get-ActiveDocument (vlax-get-acad-object)))
    
    ;; Create an ellipse in model space
    (setq center (vlax-3d-point 5 5 0)
          majAxis (vlax-3d-point 10 20 0)
          radRatio 0.3)  
  
    (setq modelSpace (vla-get-ModelSpace *actdoc*))
    (setq ellObj (vla-AddEllipse modelSpace center majAxis radRatio))
    (vla-put-majorradius ellObj 10.2)
    (vla-put-minorradius ellObj 2.5)
  
    (vla-ZoomAll (vlax-get-acad-object))
    
    ;; Display radius information
    (alert (strcat "楕円の主軸は: " (rtos (vla-get-majorRadius ellObj) 2)
                   "\n楕円の複軸は: " (rtos (vla-get-minorRadius ellObj) 2)))
)

関連事項